Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.remoting.transport.multiplex.utility
Class StoppableThread

    java.lang.Object
      java.lang.Thread
          org.jboss.remoting.transport.multiplex.utility.StoppableThread

All Implemented Interfaces:
  java.lang.Runnable

Direct Known Subclasses:
  InputMultiplexor.MultiGroupInputThread, MultiplexingManager.PendingActionThread

    public abstract class StoppableThread

extends java.lang.Thread

`StoppableThread` is the abstract parent of several threads used in the Multiplex system. It is distinguished by a `shutdown()` method that facilitates termination.

Copyright (c) 2005

Author:
  Ron Sigal

Nested Class Summary

Nested classes/interfaces inherited from class java.lang.Thread
`java.lang.Thread.State, java.lang.Thread.UncaughtExceptionHandler`

Field Summary
`protected boolean` | `running`
`protected boolean` | `stopped`
`protected boolean` | `terminatedOnError`

Fields inherited from class java.lang.Thread
`MAX_PRIORITY, MIN_PRIORITY, NORM_PRIORITY`

Constructor Summary
`StoppableThread()`

Method Summary
`protected abstract void` | `doInit()`
`protected abstract void` | `doRun()`
`protected abstract void` | `doShutDown()`
`boolean` | `isRunning()`
`boolean` | `isStopped()`
`void` | `run()`
`void` | `shutdown()`

Methods inherited from class java.lang.Thread
`activeCount, checkAccess, countStackFrames, currentThread, destroy, dumpStack, enumerate, getAllStackTraces, getContextClassLoader, getDefaultUncaughtExceptionHandler, getId, getName, getPriority, getStackTrace, getState, getThreadGroup, getUncaughtExceptionHandler, holdsLock, interrupt, interrupted, isAlive, isDaemon, isInterrupted, join, join, join, resume, setContextClassLoader, setDaemon, setDefaultUncaughtExceptionHandler, setName, setPriority, setUncaughtExceptionHandler, sleep, sleep, start, stop, stop, suspend, toString, yield`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### running

    protected boolean running

### stopped

    protected boolean stopped

### terminatedOnError

    protected boolean terminatedOnError

Constructor Detail

### StoppableThread

    public StoppableThread()

Method Detail

### run

    public void run()

  Specified by:
    `run` in interface `java.lang.Runnable`
  Overrides:
    `run` in class `java.lang.Thread`

### doInit

    protected abstract void doInit()

### doRun

    protected abstract void doRun()

### doShutDown

    protected abstract void doShutDown()

### isRunning

    public boolean isRunning()

  Returns:

### isStopped

    public boolean isStopped()

  Returns:

### shutdown

    public void shutdown()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ? 1998-2005 JBoss Inc . All Rights Reserved.